include: 
  - project: kromany0n/ci-includes
    ref: "0.4"
    file: docker-build.yml

stages:
  - build

Bulld Ansible runner image:
  stage: build
  variables:  
    DOCKERFILE_PYTHON_VERSION: 3.12.2
    DOCKERFILE_FROM_PYTHON_VERSION: "${DOCKERFILE_PYTHON_VERSION}-slim-bullseye"
    ANSIBLE_CORE_VERSION: 2.16.3
    ANSIBLE_VERSION: 9.2.0
    ANSIBLE_LINT_VERSION: 24.2.0
    JMESPATH_VERSION: 1.0.1
    PYTEST_TESTINFRA_VERSION: 10.0.0
    MOLECULE_VERSION: 24.2.0
    MOLECULE_PLUGINS_VERSION: 23.5.3
    DOCKER_BUILD_ARGS: "--build-arg DOCKERFILE_FROM_PYTHON_VERSION=$DOCKERFILE_FROM_PYTHON_VERSION --build-arg ANSIBLE_CORE_VERSION=$ANSIBLE_CORE_VERSION --build-arg ANSIBLE_LINT_VERSION=$ANSIBLE_LINT_VERSION --build-arg JMESPATH_VERSION=$JMESPATH_VERSION --build-arg PYTEST_TESTINFRA_VERSION=$PYTEST_TESTINFRA_VERSION --build-arg MOLECULE_VERSION=$MOLECULE_VERSION --build-arg MOLECULE_PLUGINS_VERSION=$MOLECULE_PLUGINS_VERSION"
  extends: .Build Image
